Subject: Re: [PATCH bpf-next] libbpf: relicense bpf_helpers.h and bpf_endian.h

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 16 Aug 2019 14:10:01 +0200

On Thu, 15 Aug 2019 22:45:43 -0700
Andrii Nakryiko <[email-masked]> wrote:

> bpf_helpers.h and bpf_endian.h contain useful macros and BPF helper
> definitions essential to almost every BPF program. Which makes them
> useful not just for selftests. To be able to expose them as part of
> libbpf, though, we need them to be dual-licensed as LGPL-2.1 OR
> BSD-2-Clause. This patch updates licensing of those two files.

I've already ACKed this, and is fine with (LGPL-2.1 OR BSD-2-Clause).

I just want to understand, why "BSD-2-Clause" and not "Apache-2.0" ?

The original argument was that this needed to be compatible with
"Apache-2.0", then why not simply add this in the "OR" ?

> Acked-by: Alexei Starovoitov <[email-masked]>
> Acked-by: Hechao Li <[email-masked]>
> Acked-by: Martin KaFai Lau <[email-masked]>
> Acked-by: Andrey Ignatov <[email-masked]>
> Acked-by: Yonghong Song <[email-masked]>
> Acked-by: Lawrence Brakmo <[email-masked]>
> Acked-by: Adam Barth <[email-masked]>
> Acked-by: Roman Gushchin <[email-masked]>
> Acked-by: Josef Bacik <[email-masked]>
> Acked-by: Joe Stringer <[email-masked]>
> Acked-by: Daniel Borkmann <[email-masked]>
> Acked-by: Joel Fernandes (Google) <[email-masked]>
> Acked-by: David Ahern <[email-masked]>
> Acked-by: Jesper Dangaard Brouer <[email-masked]>

Confirming I acked this.

> Acked-by: Ilya Leoshkevich <[email-masked]>
> Acked-by: Lorenz Bauer <[email-masked]>
> Acked-by: Adrian Ratiu <[email-masked]>
> Acked-by: Nikita V. Shirokov <[email-masked]>
> Acked-by: Willem de Bruijn <[email-masked]>
> Acked-by: Petar Penkov <[email-masked]>
> Acked-by: Teng Qin <[email-masked]>
> Cc: Michael Holzheu <[email-masked]>
> Cc: Naveen N. Rao <[email-masked]>
> Cc: David S. Miller <[email-masked]>
> Cc: Michal Rostecki <[email-masked]>
> Cc: John Fastabend <[email-masked]>
> Cc: Sargun Dhillon <[email-masked]>
> Signed-off-by: Andrii Nakryiko <[email-masked]>
> ---
>  tools/testing/selftests/bpf/bpf_endian.h  | 2 +-
>  tools/testing/selftests/bpf/bpf_helpers.h | 2 +-
>  2 files changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/tools/testing/selftests/bpf/bpf_endian.h b/tools/testing/selftests/bpf/bpf_endian.h
> index 05f036df8a4c..ff3593b0ae03 100644
> --- a/tools/testing/selftests/bpf/bpf_endian.h
> +++ b/tools/testing/selftests/bpf/bpf_endian.h
> @@ -1,4 +1,4 @@
> -/* SPDX-License-Identifier: GPL-2.0 */
> +/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
>  #ifndef __BPF_ENDIAN__
>  #define __BPF_ENDIAN__
>  
> diff --git a/tools/testing/selftests/bpf/bpf_helpers.h b/tools/testing/selftests/bpf/bpf_helpers.h
> index 8b503ea142f0..6c4930bc6e2e 100644
> --- a/tools/testing/selftests/bpf/bpf_helpers.h
> +++ b/tools/testing/selftests/bpf/bpf_helpers.h
> @@ -1,4 +1,4 @@
> -/* SPDX-License-Identifier: GPL-2.0 */
> +/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
>  #ifndef __BPF_HELPERS_H
>  #define __BPF_HELPERS_H
>  

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer